You might have noticed the lack of updates on this site recently; its not just laziness (although that might be part of it :P ), I’m working on releasing a new (shareware) application. I’m almost done with the application, the web-site is nearing completion also so its time to beta test it. I’m looking for a bunch of beta testers, here are the requirements:

  • You must have OS X 10.4.x
  • You must have an iPod 3rd generation or higher

If you meet those requirements, or have an intel mac, please let me know.

Average Rating: 4.8 out of 5 based on 297 user reviews.

0 Response to “”


  • No Comments

Leave a Reply